C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	SUBROUTINE LABGRP(IMKCT,IMKCL)
C******PUT GROUP MARKERS ON THE SCREEN
	IMPLICIT INTEGER*2 (D-Z)
	IMPLICIT LOGICAL*1 (A)
	COMMON//SAVDES(256),CURVE1(512),CURVE2(512)
	COMMON/SCREEN/AX(512),CYSCAL,CXSCAL,K,ICOLC,CMA,CMI
	COMMON/WINDOW/FST,LST
	COMMON/SET2X/FG,CG(13)
	COMMON/LINEAR/ALIN
	IF(SAVDES(118).EQ.1)RETURN
	DO 30 I=1,SAVDES(118)-1
	IF(CG(I).EQ.0)GOTO 30
	J=INT(CG(I)*CXSCAL+1)
	CALL PLOTB(J,0,1,IMKCT,IMKCL)
	CALL PLOTB(J,1,1,IMKCT,IMKCL)
	J=INT(FLOAT(J)/5)+25
	IF(J.LT.26)J=26
	CALL CHSET(J,20)
	J=I+1
	IF(J.LE.9)GOTO 27
	CALL WRITEL("61,1)
	J=J-10
27	CALL WRITEL(J+"60,1)
30	CONTINUE
	CALL CHSET(55,20)
	CALL WRITEL('GROUP  ',7)
	CALL CHSET(25,20)
	IF(FG.GT.9)GOTO 34
	CALL WRITEL(FG+"60,1)
	GOTO 35
34	CALL WRITEL('1',1)
	CALL WRITEL(FG-10+"60,1)
35	RETURN
	END
